DM_PROTO_CLOSE_FUNC(3)

PROTO_FUNC
dm_PROTO_close_func - Close event callback.

SYNOPSIS
#include <karma_dm.h>

void dm_PROTO_close_func

(int fd, void *info)

DESCRIPTION
This routine is called when a descriptor closes.

fd  The file descriptor. The descriptor MUST be capable of detecting closure if this routine is supplied (i.e. this routine cannot be supplied for docks).

info
    The arbitrary pointer for the managed descriptor.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

NOTES
This routine MUST NOT unmanage the descriptor. The descriptor will be automatically unmanaged and deleted upon closure (even if no <<close_func>> is specified).

Any unread data in the descriptor will be lost upon closure. The call to this function is the last chance to read this data.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/